## exiv2 0.19

=== samples/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2009 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 1937 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   08-Oct-07, ahu: created
#
# Description:
#  Simple Makefile to build sample programs. Requires installed exiv2 library
#  and headers. Adapted from the main Exiv2 src/Makefile.
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: samples

# Include system configuration
top_srcdir = ..
include $(top_srcdir)/config/config.mk

# ******************************************************************************
# Source files

# Add source files of sample programs to this list
BINSRC = addmoddel.cpp        \
         convert-test.cpp     \
         easyaccess-test.cpp  \
         exifcomment.cpp      \
         exifdata-test.cpp    \
         exifprint.cpp        \
         iotest.cpp           \
         iptceasy.cpp         \
         iptcprint.cpp        \
         iptctest.cpp         \
         key-test.cpp         \
         largeiptc-test.cpp   \
         mmap-test.cpp        \
         prevtest.cpp         \
         stringto-test.cpp    \
         tiff-test.cpp        \
         write-test.cpp       \
         write2-test.cpp      \
         xmpparse.cpp         \
         xmpparser-test.cpp   \
         xmpsample.cpp

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

CPPFLAGS := `pkg-config exiv2 --cflags`
LDFLAGS := `pkg-config exiv2 --libs`

BINOBJ = $(BINSRC:.cpp=.o)
BINARY = $(BINSRC:.cpp=)
EXECUTABLE = $(BINSRC:.cpp=$(EXEEXT))

ifdef DEP_TRACKING
DEP = $(BINSRC:%.cpp=$(DEPDIR)/%.d)
endif

# ******************************************************************************
# Rules
samples: $(BINARY)

$(BINOBJ): %.o: %.cpp
	$(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(BINARY): %: %.o
	$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $@.o

%.ii: %.cpp
	set -e; \
	$(CXXCPP) -E $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all relink binclean mostlyclean clean distclean maintainer-clean

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

relink: binclean samples

# Remove binaries, e.g., to relink them
binclean:
	$(RM) $(EXECUTABLE)

mostlyclean:
	$(RM) core
	$(RM) $(CCSRC:.cpp=.ii)
	$(RM) $(CCSRC:%.cpp=.libs/%.d) $(CSRC:%.c=.libs/%.d)
	-rmdir .libs
	$(RM) $(BINOBJ)

clean: binclean mostlyclean

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: distclean

=== src/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2009 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 1937 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   10-Dec-03, ahu: created
#
# Description:
#  Do NOT change this file! All system specific settings and configs
#  go into config.mk.
#
#  This makefile contains (supposedly) generic build rules to build the
#  library and applications. It includes all system specific settings
#  from config.mk. The idea is that configuring and porting the
#  software to a new platform should only require changes in config.mk.
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: bin

# Include system configuration
top_srcdir = ..
include $(top_srcdir)/config/config.mk

# ******************************************************************************
# Source files

# Add standalone C++ header files to this list
CCHDR =  exv_conf.h           \
         exv_msvc.h           \
         mn.hpp               \
         rcsid.hpp            \
         version.hpp

# Add library C++ source files to this list
CCSRC =  basicio.cpp          \
	 bmpimage.cpp         \
	 canonmn.cpp          \
	 convert.cpp          \
	 cr2image.cpp         \
	 crwimage.cpp         \
	 datasets.cpp         \
	 easyaccess.cpp       \
	 error.cpp            \
	 exif.cpp             \
	 futils.cpp           \
	 fujimn.cpp           \
	 gifimage.cpp         \
	 image.cpp            \
	 iptc.cpp             \
	 jp2image.cpp         \
	 jpgimage.cpp         \
	 makernote.cpp        \
	 metadatum.cpp        \
	 minoltamn.cpp        \
	 mrwimage.cpp         \
	 nikonmn.cpp          \
	 olympusmn.cpp        \
	 orfimage.cpp         \
	 panasonicmn.cpp      \
	 pgfimage.cpp
ifdef HAVE_LIBZ
CCSRC += pngimage.cpp         \
	 pngchunk.cpp
endif
CCSRC += preview.cpp          \
	 properties.cpp       \
	 psdimage.cpp         \
	 rafimage.cpp         \
	 rw2image.cpp         \
	 sigmamn.cpp          \
	 pentaxmn.cpp         \
	 sonymn.cpp           \
	 tags.cpp             \
	 tgaimage.cpp         \
	 tiffcomposite.cpp    \
	 tiffimage.cpp        \
	 tiffvisitor.cpp      \
	 types.cpp            \
	 value.cpp            \
	 version.cpp          \
	 xmp.cpp              \
	 xmpsidecar.cpp

# Add library C source files to this list
ifndef HAVE_TIMEGM
CSRC =   localtime.c
endif

# Add source files of simple applications to this list
# Todo: How can we still support crwedit.cpp, crwparse.cpp
BINSRC = taglist.cpp

# Source files for the Exiv2 application
EXIV2MAIN = exiv2.cpp
EXIV2SRC  = actions.cpp       \
	    utils.cpp
# C source files for the Exiv2 application
ifndef HAVE_TIMEGM
EXIVCSRC  = localtime.c
endif

# Source files for the metacopy sample application
MCMAIN = metacopy.cpp
MCSRC  = utils.cpp

# ******************************************************************************
# Library
LIBRARY = libexiv2.la

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

CPPFLAGS += $(XMPSDK_CPPFLAGS)
LDFLAGS += $(EXPAT_LDFLAGS) $(XMPSDK_LDFLAGS)
LIBS += $(EXPAT_LIBS) $(XMPSDK_LIBS)

# Generic variables
CCHDR := $(CCHDR) $(CCSRC:.cpp=.hpp)
CCOBJ = $(CCSRC:.cpp=.o)
CCLOBJ = $(CCSRC:.cpp=.lo)

COBJ = $(CSRC:.c=.o)
CLOBJ = $(CSRC:.c=.lo)

SRC = $(CCSRC) $(CSRC)
HDR = $(CCHDR)
OBJ = $(CCOBJ) $(COBJ)
LOBJ = $(CCLOBJ) $(CLOBJ)

BINOBJ = $(BINSRC:.cpp=.o)
BINARY = $(BINSRC:.cpp=)
EXECUTABLE = $(BINSRC:.cpp=$(EXEEXT))

EXIV2OBJ = $(EXIV2MAIN:.cpp=.o) $(EXIV2SRC:.cpp=.o)
EXIV2COBJ = $(EXIVCSRC:.c=.o)
EXIV2BIN = $(EXIV2MAIN:.cpp=)
EXIV2EXE = $(EXIV2MAIN:.cpp=$(EXEEXT))

MCOBJ = $(MCMAIN:.cpp=.o) $(MCSRC:.cpp=.o)
MCBIN = $(MCMAIN:.cpp=)
MCEXE = $(MCMAIN:.cpp=$(EXEEXT))

ifdef DEP_TRACKING
DEP = $(CCSRC:%.cpp=$(DEPDIR)/%.d) $(CSRC:%.c=$(DEPDIR)/%.d) \
      $(BINSRC:%.cpp=$(DEPDIR)/%.d) \
      $(EXIV2MAIN:%.cpp=$(DEPDIR)/%.d) $(EXIV2SRC:%.cpp=$(DEPDIR)/%.d) \
      $(EXIVCSRC:%.c=$(DEPDIR)/%.d) $(MCMAIN:%.cpp=$(DEPDIR)/%.d) \
      $(MCSRC:%.cpp=$(DEPDIR)/%.d) $(DEPDIR)/path-test.d

endif

# ******************************************************************************
# Rules
$(CCOBJ): %.o: %.cpp
	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -DEXV_BUILDING_LIB=1 -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(COBJ): %.o: %.c
	@$(LIBTOOL) --mode=compile $(COMPILE.c) -DEXV_BUILDING_LIB=1 -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(sort $(BINOBJ) $(EXIV2OBJ) $(MCOBJ) path-test.o): %.o: %.cpp
	$(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.o: %.c
	$(COMPILE.c) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.ii: %.cpp
	set -e; \
	$(CXXCPP) $(CPPFLAGS) -DEXV_BUILDING_LIB=1 $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all bin check ctags doc                                        \
        clean mostlyclean distclean maintainer-clean                   \
        install install-header install-lib                             \
        uninstall uninstall-header uninstall-lib

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

actions.cpp basicio.cpp exif.cpp exiv2.cpp futils.cpp image.cpp jpgimage.cpp utils.cpp: exv_conf.h

exv_conf.h: $(top_srcdir)/config/config.h
	sed 's/#define \([A-Z]\)/#define EXV_\1/; s/#undef \([A-Z]\)/#undef EXV_\1/' < $< > $@

$(LIBTOOL): $(LIBTOOL_DEPS)
	$(SHELL) $(top_srcdir)/config.status --recheck

bin: lib $(BINARY) $(EXIV2BIN) $(MCBIN) path-test

lib: $(OBJ)
	$(LIBTOOL) --mode=link $(LINK.cc) -o $(LIBRARY) $(LOBJ) -rpath $(libdir) -version-info $(EXIV2_LTVERSION) $(LIBS)
	@touch lib

path-test: path-test.o utils.o
	$(CXX) $(CXXFLAGS) path-test.o utils.o -o $@

$(BINARY): %: %.o lib
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $@.o -rpath $(libdir)

$(EXIV2BIN): lib $(EXIV2OBJ) $(EXIV2COBJ)
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $(EXIV2OBJ) $(EXIV2COBJ) -rpath $(libdir)

$(MCBIN): lib $(MCOBJ)
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $(MCOBJ) -rpath $(libdir)

install-header:
	$(INSTALL_DIRS) $(DESTDIR)$(incdir)
	@list='$(HDR)'; for p in $$list; do \
	    if test -f $$p; then \
	        echo "$(INSTALL_DATA) $$p $(DESTDIR)$(incdir)/$$p"; \
	        $(INSTALL_DATA) $$p $(DESTDIR)$(incdir)/$$p; \
	    else :; fi; \
	done

install-lib: lib install-header
	$(INSTALL_DIRS) $(DESTDIR)$(libdir)
	@$(LIBTOOL) --mode=install $(INSTALL_DATA) $(LIBRARY) $(DESTDIR)$(libdir)/$(LIBRARY)
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	$(INSTALL_DIRS) $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL_DATA) $(top_srcdir)/config/exiv2.pc $(DESTDIR)$(libdir)/pkgconfig/exiv2.pc

install: $(EXIV2BIN) install-lib
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	@$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $(EXIV2EXE) $(DESTDIR)$(bindir)/$(EXIV2EXE)
	$(INSTALL_DIRS) $(DESTDIR)$(mandir)
	$(INSTALL_DIRS) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) exiv2.1 $(DESTDIR)$(man1dir)/exiv2.1

uninstall-header:
	@list='$(HDR)'; for p in $$list; do \
	    echo "$(RM) $(DESTDIR)$(incdir)/$$p"; \
	    $(RM) $(DESTDIR)$(incdir)/$$p; \
	done
	-rmdir $(DESTDIR)$(incdir)

uninstall-lib: uninstall-header
	$(RM) $(DESTDIR)$(libdir)/pkgconfig/exiv2.pc
	-rmdir $(DESTDIR)$(libdir)/pkgconfig
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(libdir)/$(LIBRARY)
	-rmdir $(DESTDIR)$(libdir)

uninstall: uninstall-lib
	$(RM) $(DESTDIR)$(man1dir)/exiv2.1
	-rmdir $(DESTDIR)$(man1dir)
	-rmdir $(DESTDIR)$(mandir)
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(bindir)/$(EXIV2EXE)
	-rmdir $(DESTDIR)$(bindir)

ctags:
	ebrowse $(HDR) $(SRC)
#	ctags-exuberant --extra=+q -e *
#	ctags-exuberant --extra=+q *

check:
	@echo "No checks available for this library."

mostlyclean:
	$(RM) core
	$(RM) $(CCSRC:.cpp=.ii)
	$(RM) lib
	$(RM) path-test.o
	$(RM) $(CCSRC:%.cpp=.libs/%.d) $(CSRC:%.c=.libs/%.d)
	@$(LIBTOOL) --mode=clean $(RM) $(LOBJ) $(sort $(BINOBJ) $(EXIV2OBJ) $(EXIV2COBJ) $(MCOBJ))

clean: mostlyclean
	@$(LIBTOOL) --mode=clean $(RM) $(LIBRARY)
	@$(LIBTOOL) --mode=clean $(RM) $(EXECUTABLE) $(EXIV2EXE) $(MCEXE)
	@$(LIBTOOL) --mode=clean $(RM) path-test$(EXEEXT)

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
	$(RM) exv_conf.h doxygen.hpp
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) tags TAGS
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: uninstall distclean

=== doc/templates/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2009 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 1983 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   28-May-05, ahu: created
#
# Description:
#  Simple Makefile to create html documentation from templates. Requires
#  some special tools (awk, python, xsltproc) but really only needs to 
#  be used to update the documentation after changing Exiv2 tags in the
#  source code.
#
# Restrictions:
#  Only tested with GNU make.
#

TABLES = Exif \
         Canon \
         CanonCs \
         CanonSi \
         CanonCf \
         CanonPi \
         CanonFi \
         CanonPa \
         Fujifilm \
         Minolta \
         MinoltaCsNew \
         MinoltaCs5D \
         MinoltaCs7D \
         Nikon1 \
         Nikon2 \
         Nikon3 \
         NikonVr \
         NikonPc \
         NikonWt \
         NikonIi \
         NikonAf \
         NikonSiD80 \
         NikonSiD40 \
         NikonSiD300a \
         NikonSiD300b \
         NikonSi01xx \
         NikonCb1 \
         NikonCb2 \
         NikonCb2a \
         NikonCb2b \
         NikonCb3 \
         NikonCb4 \
         NikonLd1 \
         NikonLd2 \
         NikonLd3 \
         Olympus \
         OlympusCs \
         OlympusEq \
         OlympusRd \
         OlympusRd2 \
         OlympusIp \
         OlympusFi \
         OlympusFe1 \
         OlympusRi \
	 Panasonic \
         PanasonicRaw \
         Pentax \
         Sigma \
         Sony

SCHEMA = xmp_dc \
         xmp_xmp \
         xmp_xmpRights \
         xmp_xmpMM \
         xmp_xmpBJ \
         xmp_xmpTPg \
         xmp_xmpDM \
         xmp_pdf \
         xmp_photoshop \
         xmp_crs \
         xmp_tiff \
         xmp_exif \
         xmp_aux \
         xmp_iptc \
         xmp_MicrosoftPhoto \
         xmp_digiKam \
         xmp_iptcExt \
         xmp_plus

TAGLIST = ../../src/taglist

# **********************************************************************
# ======================================================================
# **********************************************************************

# Initialisations
SHELL = /bin/sh

.SUFFIXES:

# Default make target
all: tags

.PHONY: tags mostlyclean clean distclean maintainer-clean

tags: $(TABLES) Iptc $(SCHEMA)
	@./gen.py *.html.in

$(TABLES): $(TAGLIST)
	@echo Generating $@ table...
	@$(TAGLIST) $@ | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" | awk -f tags.awk > $@.xml
	@xsltproc tags.xsl $@.xml > $@.tmp
	@sed "s/report1/$@/" $@.tmp > __$@__
	@touch $@
	@rm -f $@.tmp

Iptc: $(TAGLIST)
	@echo Generating $@ table...
	@$(TAGLIST) $@ | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" -e"s//\&#177;/g" \
	               | awk -f iptc.awk > $@.xml
	@xsltproc iptc.xsl $@.xml > $@.tmp
	@sed "s/report1/$@/g" $@.tmp > __$@__
	@touch $@
	@rm -f $@.tmp

$(SCHEMA): $(TAGLIST)
	@echo Generating $@ table...
	@echo $@ | sed "s/xmp_//" | xargs $(TAGLIST) | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" | awk -f xmp.awk > $@.xml
	@xsltproc xmp.xsl $@.xml > $@.tmp
	@sed "s/report1/$@/" $@.tmp > __$@__
	@touch $@
	@rm -f $@.tmp

$(TAGLIST): 
	$(error File $(TAGLIST) does not exist. Did you build the library and programs in the src/ directory?)

mostlyclean:
	rm -f *.xml
	rm -f *.tmp

clean: mostlyclean
	rm -f $(TABLES:%=__%__) __Iptc__
	rm -f $(SCHEMA:%=__%__)
	rm -f $(TABLES) $(SCHEMA) Iptc
	rm -f *.html

distclean: clean
	rm -f *~

maintainer-clean: distclean

=== xmpsdk/src/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2009 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 1853 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   30-Sep-07, ahu: created
#
# Description:
#  Makefile to build the Adobe XMP Toolkit integrated and distributed with
#  Exiv2. Adapted from the main Exiv2 src/Makefile. This builds what the
#  libtool manual calls a "convenience library".
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: xmpsdk

# Include system configuration
top_srcdir = ../..
include $(top_srcdir)/config/config.mk

# ******************************************************************************
# Source files

# Add library C++ source files to this list
CCSRC = XML_Node.cpp           \
        XMPMeta.cpp            \
        XMPMeta-GetSet.cpp     \
        XMPMeta-Parse.cpp      \
        XMPMeta-Serialize.cpp  \
        XMPIterator.cpp        \
        XMPUtils.cpp           \
        XMPUtils-FileInfo.cpp  \
        XMPCore_Impl.cpp       \
        ExpatAdapter.cpp       \
        ParseRDF.cpp           \
        UnicodeConversions.cpp \
        MD5.cpp                \
        WXMPMeta.cpp           \
        WXMPIterator.cpp       \
        WXMPUtils.cpp

# ******************************************************************************
# Library
LIBRARY := lib$(XMPSDK_LIBRARY).la

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

# For a debug build, replace -DNDEBUG=1 with -DDEBUG=1 -D_DEBUG=1
CPPFLAGS += -I../include -funsigned-char -DNDEBUG=1 $(EXPAT_CPPFLAGS)
ifdef HAVE_STDINT
	CPPFLAGS += -DEXV_HAVE_STDINT_H=1
endif

LDFLAGS += $(EXPAT_LDFLAGS)
LIBS += $(EXPAT_LIBS)

# Generic variables
CCOBJ = $(CCSRC:.cpp=.o)
LOBJ = $(CCSRC:.cpp=.lo)

ifdef DEP_TRACKING
DEP = $(CCSRC:%.cpp=$(DEPDIR)/%.d)
endif

# ******************************************************************************
# Rules
$(CCOBJ): %.o: %.cpp
	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.ii: %.cpp
	set -e; \
	$(CXXCPP) $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all mostlyclean clean distclean maintainer-clean

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

$(LIBTOOL): $(LIBTOOL_DEPS)
	$(SHELL) $(top_srcdir)/config.status --recheck

xmpsdk: $(LIBRARY)

$(LIBRARY): $(CCOBJ)
	$(LIBTOOL) --mode=link $(LINK.cc) -o $(LIBRARY) $(LOBJ)

mostlyclean:
	$(RM) core
	$(RM) $(CCSRC:.cpp=.ii)
	$(RM) $(CCSRC:%.cpp=.libs/%.d)
	@$(LIBTOOL) --mode=clean $(RM) $(LOBJ)

clean: mostlyclean
	@$(LIBTOOL) --mode=clean $(RM) $(LIBRARY)

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: distclean

=== debian/changelog ===
exiv2 (0.19-3) unstable; urgency=low

  * Drop upstream Nikon fixes; partial patch breaks image display
    - Reopen: #579835 - not fixed
    - changeset 2017-2020 

 -- Mark Purcell <msp@debian.org>  Tue, 15 Jun 2010 08:22:09 +1000

exiv2 (0.19-2) unstable; urgency=low

  * Backport upstream Nikon Makernote regression fix (Closes: #579835)
    - changeset 2017-2020
  * source/format -> 3.0 (quilt)
  * Drop inactive Uploaders
  * Standards-Version: 3.8.3 - no changes
  * debian/rules Added dh --parallel

 -- Mark Purcell <msp@debian.org>  Mon, 14 Jun 2010 11:46:28 +1000

exiv2 (0.19-1) unstable; urgency=low

  * New upstream release 
    - TIFF performance improvement and Nikon updates
  * NEW package libexiv2-6 - soname bump

 -- Mark Purcell <msp@debian.org>  Fri, 01 Jan 2010 11:42:13 +1100

exiv2 (0.18.2-1) unstable; urgency=low

  * New upstream release
    - Bugfix release

  [Ryan Kavanagh]

  * Add lintian overrides:
    - libexiv2-dev: extended-description-is-probably-too-short
  * Fix a typo in README.Debian (s/enviroment/environment/)
  * Fix hyphens as minus signs in the manpage, 00_hyphens_used_as_minus.diff

  [Fathi Boudra]

  * Bump Standards-Version from 3.8.1 to 3.8.2 (no changes needed)
  * Add quilt build dependency
  * Remove cdbs build dependency - use dh and rewrite debian/rules

 -- Fathi Boudra <fabo@debian.org>  Thu, 09 Jul 2009 18:50:32 -0400

exiv2 (0.18.1-1) unstable; urgency=low

  * New upstream release
    - (Closes: #525535): "[libexiv2-5] New upstream version 0.18.1"
    - write-support for Adobe Photoshop PSD images
    - read-support for Panasonic RW2 images
    - Panasonic and Nikon makernote update
  * Upload to unstable - discussed on debian-release
    - libexiv2-5 library transition
  * Fix: package-lacks-versioned-build-depends-on-debhelper
  * Add ${misc:Depends}

 -- Mark Purcell <msp@debian.org>  Wed, 29 Apr 2009 21:53:40 +1000

exiv2 (0.18-1) experimental; urgency=low

  * New upstream release
    - Closes: #426274 - "Setting "Exif.Image.DateTime Date" error"
    - Closes: #505023 - "FTBFS with GCC 4.4: missing #include" 

 -- Mark Purcell <msp@debian.org>  Fri, 19 Dec 2008 07:39:10 +1100

exiv2 (0.18~pre2-1) experimental; urgency=low

  * New upstream release
  * NEW package libexiv2-5 - match upstream soname
  * Update Standards Version 3.8.0 - no changes

 -- Mark Purcell <msp@debian.org>  Sat, 08 Nov 2008 10:46:51 +1100

=== debian/control ===
Source: exiv2
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), chrpath,
 autotools-dev, libexpat1-dev, zlib1g-dev,
 libexpat1-dev,
 doxygen, graphviz, python, xsltproc
Standards-Version: 3.8.4
Homepage: http://www.exiv2.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/exiv2/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/exiv2/trunk

Package: exiv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EXIF/IPTC metadata manipulation tool
 Exiv2 can:
 .
  * print the Exif metadata of JPEG, TIFF and several RAW image formats as
    summary info, interpreted values, or the plain data for each tag
  * print the IPTC metadata of JPEG images
  * print, set and delete the JPEG comment of JPEG images
  * set, add and delete Exif and IPTC metadata of JPEG images
  * adjust the Exif timestamp (that's how it all started...)
  * rename Exif image files according to the Exif timestamp
  * extract, insert and delete Exif metadata, IPTC metadata and JPEG comments
  * extract, insert and delete the thumbnail image embedded in the Exif metadata
  * fix the Exif ISO setting of picture taken with Nikon cameras

Package: libexiv2-6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: exiv2
Description: EXIF/IPTC metadata manipulation library
 Exiv2 library supports:
  * full read and write access to the EXIF and IPTC metadata of an image
    through Exiv2 keys and standard C++ iterators
  * a smart IPTC implementation that does not affect data that programs like
    Photoshop store in the same image segment
  * EXIF MakerNote support:
    o MakerNote tags can be accessed just like any other EXIF metadata
    o a sophisticated write algorithm avoids corrupting the MakerNote:
  * extract and delete methods for EXIF thumbnails (both, JPEG and TIFF
    thumbnails)
  * set methods for EXIF thumbnails (JPEG only, TIFF thumbnails can be set from
    individual tags)
  * complete API documentation (by Doxygen)
  * generic lower-level classes to access IFD (Image File Directory) data
    structures

Package: libexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libexiv2-6 (= ${binary:Version}), pkg-config
Suggests: libexiv2-doc
Description: EXIF/IPTC metadata manipulation library - development files
 Exiv2 C++ header files.

Package: libexiv2-doc
Depends: ${misc:Depends}
Section: doc
Architecture: all
Description: EXIF/IPTC metadata manipulation library - HTML documentation
 Exiv2 HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

FILENAME = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
UPFILENAME = $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz
URL = http://www.exiv2.org/$(UPFILENAME)

%:
	dh --parallel $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath

override_dh_clean:
	dh_clean
	rm -rf doc/html

override_dh_install:
	[ ! -f Makefile ] || $(MAKE) doc
	dh_install --list-missing
	find $(CURDIR)/debian -type f -name exiv2 | xargs /usr/bin/chrpath -d

override_dh_installdocs:
	dh_installdocs -A -Xcmd.txt -XMakefile -Xtemplates -XChangeLog

override_dh_installchangelogs:
	dh_installchangelogs -A doc/ChangeLog

override_dh_compress:
	dh_compress -X.xls -X.js -X.idx -X.xml -X.php

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)

print-version:
	@@echo DEB_SOURCE_PACKAGE: $(DEB_SOURCE_PACKAGE)
	@@echo DEB_VERSION: $(DEB_VERSION)
	@@echo DEB_NO_EPOCH_VERSION: $(DEB_NOEPOCH_VERSION)
	@@echo DEB_UPSTREAM_VERSION: $(DEB_UPSTREAM_VERSION)
	@@echo FILENAME: $(FILENAME)
	@@echo URL: $(URL)

## exiv2 0.20

=== doc/Makefile ===
# ***************************************************** -*- Makefile -*-
#
# Copyright (C) 2004-2010 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 2045 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   10-Dec-03, ahu: created
#
# Description:
#  Simple Makefile to build the doxygen documentation
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: doc

# Include system configuration
top_srcdir = ..
include $(top_srcdir)/config/config.mk

# **********************************************************************
# ======================================================================
# **********************************************************************

# Initialisations
SHELL = /bin/sh

.SUFFIXES:

# **********************************************************************
# Targets
.PHONY: all doc doxygen tags mostlyclean clean distclean maintainer-clean

doc: doxygen tags

doxygen:
	doxygen $(top_srcdir)/config/Doxyfile

tags:
	cd $(top_srcdir)/doc/templates && $(MAKE) all
	cp -f $(top_srcdir)/doc/templates/*.html $(top_srcdir)/doc/html/

mostlyclean clean:
	$(RM) *~ *.bak *#

distclean: clean
	cd $(top_srcdir)/doc/templates && $(MAKE) $(MAKECMDGOALS)

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: distclean
	rm -rf $(top_srcdir)/doc/html/*

=== samples/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ************************************************************* -*- Makefile -*-
 #
-# Copyright (C) 2004-2009 Andreas Huggel <ahuggel@gmx.net>
+# Copyright (C) 2004-2010 Andreas Huggel <ahuggel@gmx.net>
 #
 # This Makefile is part of the Exiv2 distribution.
 #
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1937 $
+# Version:   $Rev: 2045 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   08-Oct-07, ahu: created
 #
@@ -70,6 +70,7 @@
          prevtest.cpp         \
          stringto-test.cpp    \
          tiff-test.cpp        \
+         werror-test.cpp      \
          write-test.cpp       \
          write2-test.cpp      \
          xmpparse.cpp         \

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ************************************************************* -*- Makefile -*-
 #
-# Copyright (C) 2004-2009 Andreas Huggel <ahuggel@gmx.net>
+# Copyright (C) 2004-2010 Andreas Huggel <ahuggel@gmx.net>
 #
 # This Makefile is part of the Exiv2 distribution.
 #
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1937 $
+# Version:   $Rev: 2241 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   10-Dec-03, ahu: created
 #
@@ -59,60 +59,60 @@
 # Source files
 
 # Add standalone C++ header files to this list
-CCHDR =  exv_conf.h           \
-         exv_msvc.h           \
-         mn.hpp               \
-         rcsid.hpp            \
+CCHDR =  exv_conf.h            \
+         exv_msvc.h            \
+         mn.hpp                \
+         rcsid.hpp             \
          version.hpp
 
 # Add library C++ source files to this list
-CCSRC =  basicio.cpp          \
-	 bmpimage.cpp         \
-	 canonmn.cpp          \
-	 convert.cpp          \
-	 cr2image.cpp         \
-	 crwimage.cpp         \
-	 datasets.cpp         \
-	 easyaccess.cpp       \
-	 error.cpp            \
-	 exif.cpp             \
-	 futils.cpp           \
-	 fujimn.cpp           \
-	 gifimage.cpp         \
-	 image.cpp            \
-	 iptc.cpp             \
-	 jp2image.cpp         \
-	 jpgimage.cpp         \
-	 makernote.cpp        \
-	 metadatum.cpp        \
-	 minoltamn.cpp        \
-	 mrwimage.cpp         \
-	 nikonmn.cpp          \
-	 olympusmn.cpp        \
-	 orfimage.cpp         \
-	 panasonicmn.cpp      \
+CCSRC =  basicio.cpp           \
+	 bmpimage.cpp          \
+	 canonmn.cpp           \
+	 convert.cpp           \
+	 cr2image.cpp          \
+	 crwimage.cpp          \
+	 datasets.cpp          \
+	 easyaccess.cpp        \
+	 error.cpp             \
+	 exif.cpp              \
+	 futils.cpp            \
+	 fujimn.cpp            \
+	 gifimage.cpp          \
+	 image.cpp             \
+	 iptc.cpp              \
+	 jp2image.cpp          \
+	 jpgimage.cpp          \
+	 makernote.cpp         \
+	 metadatum.cpp         \
+	 minoltamn.cpp         \
+	 mrwimage.cpp          \
+	 nikonmn.cpp           \
+	 olympusmn.cpp         \
+	 orfimage.cpp          \
+	 panasonicmn.cpp       \
 	 pgfimage.cpp
 ifdef HAVE_LIBZ
-CCSRC += pngimage.cpp         \
+CCSRC += pngimage.cpp          \
 	 pngchunk.cpp
 endif
-CCSRC += preview.cpp          \
-	 properties.cpp       \
-	 psdimage.cpp         \
-	 rafimage.cpp         \
-	 rw2image.cpp         \
-	 sigmamn.cpp          \
-	 pentaxmn.cpp         \
-	 sonymn.cpp           \
-	 tags.cpp             \
-	 tgaimage.cpp         \
-	 tiffcomposite.cpp    \
-	 tiffimage.cpp        \
-	 tiffvisitor.cpp      \
-	 types.cpp            \
-	 value.cpp            \
-	 version.cpp          \
-	 xmp.cpp              \
+CCSRC += preview.cpp           \
+	 properties.cpp        \
+	 psdimage.cpp          \
+	 rafimage.cpp          \
+	 rw2image.cpp          \
+	 sigmamn.cpp           \
+	 pentaxmn.cpp          \
+	 sonymn.cpp            \
+	 tags.cpp              \
+	 tgaimage.cpp          \
+	 tiffcomposite.cpp     \
+	 tiffimage.cpp         \
+	 tiffvisitor.cpp       \
+	 types.cpp             \
+	 value.cpp             \
+	 version.cpp           \
+	 xmp.cpp               \
 	 xmpsidecar.cpp
 
 # Add library C source files to this list

=== contrib/organize/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2010 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 2045 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   31-Jan-09, ahu: created
#
# Description:
#  Simple Makefile to build the organize application. Requires installed
#  exiv2 library and headers. Adapted from samples/Makefile.
#
# Restrictions:
#  Requires GNU make.
#

# ******************************************************************************
# Default make target
all: ozbin

# Include system configuration
top_srcdir = ../..
include $(top_srcdir)/config/config.mk
include boost.mk

# ******************************************************************************
# Source files

# Source files for the organize application
OZMAIN = organize.cpp
OZSRC  = helpers.cpp MD5.cpp

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

CPPFLAGS := -I$(BOOST_INC_DIR) `pkg-config exiv2 --cflags`
ifdef HAVE_STDINT
	CPPFLAGS += -DEXV_HAVE_STDINT_H=1
endif

LDFLAGS := $(BOOST_LIBS) `pkg-config exiv2 --libs`

OZOBJ = $(OZSRC:.cpp=.o) $(OZMAIN:.cpp=.o)
OZBIN = $(OZMAIN:.cpp=)
OZEXE = $(OZMAIN:.cpp=$(EXEEXT))

ifdef DEP_TRACKING
DEP = $(OZMAIN:%.cpp=$(DEPDIR)/%.d) $(OZSRC:%.cpp=$(DEPDIR)/%.d)
endif

# ******************************************************************************
# Rules
ozbin: $(OZBIN)

$(OZOBJ): %.o: %.cpp
	$(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.ii: %.cpp
	set -e; \
	$(CXXCPP) -E $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all ozbin relink binclean install uninstall mostlyclean clean distclean maintainer-clean

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

$(OZBIN): $(OZOBJ)
	$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(OZOBJ)

relink: binclean organize

install:
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	@$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $(OZEXE) $(DESTDIR)$(bindir)/$(OZEXE)

uninstall:
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(bindir)/$(OZEXE)
	-rmdir $(DESTDIR)$(bindir)

# Remove binaries, e.g., to relink them
binclean:
	$(RM) $(OZEXE)

mostlyclean:
	$(RM) core
	$(RM) $(OZMAIN:.cpp=.ii) $(OZSRC:.cpp=.ii)
	$(RM) $(OZMAIN:%.cpp=.libs/%.d) $(OZSRC:%.cpp=.libs/%.d)
	-rmdir .libs
	$(RM) $(OZOBJ)

clean: binclean mostlyclean

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: uninstall distclean

=== doc/templates/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ************************************************************* -*- Makefile -*-
 #
-# Copyright (C) 2004-2009 Andreas Huggel <ahuggel@gmx.net>
+# Copyright (C) 2004-2010 Andreas Huggel <ahuggel@gmx.net>
 #
 # This Makefile is part of the Exiv2 distribution.
 #
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1983 $
+# Version:   $Rev: 2248 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   28-May-05, ahu: created
 #
@@ -66,6 +66,12 @@
          NikonWt \
          NikonIi \
          NikonAf \
+         NikonAf2 \
+         NikonFi \
+         NikonMe \
+         NikonFl1 \
+         NikonFl2 \
+         NikonFl3 \
          NikonSiD80 \
          NikonSiD40 \
          NikonSiD300a \
@@ -93,7 +99,13 @@
          PanasonicRaw \
          Pentax \
          Sigma \
-         Sony
+         Sony1 \
+         SonyMinolta \
+         Sony1Cs \
+         Sony1Cs2 \
+         Sony1MltCs7D \
+         Sony1MltCsOld \
+         Sony1MltCsA100
 
 SCHEMA = xmp_dc \
          xmp_xmp \
@@ -111,8 +123,11 @@
          xmp_iptc \
          xmp_MicrosoftPhoto \
          xmp_digiKam \
+         xmp_kipi \
          xmp_iptcExt \
-         xmp_plus
+         xmp_plus \
+         xmp_mediapro \
+         xmp_expressionmedia
 
 TAGLIST = ../../src/taglist

=== xmpsdk/src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ************************************************************* -*- Makefile -*-
 #
-# Copyright (C) 2004-2009 Andreas Huggel <ahuggel@gmx.net>
+# Copyright (C) 2004-2010 Andreas Huggel <ahuggel@gmx.net>
 #
 # This Makefile is part of the Exiv2 distribution.
 #
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1853 $
+# Version:   $Rev: 2045 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   30-Sep-07, ahu: created
 #

=== debian/changelog ===
exiv2 (0.20-2) unstable; urgency=low

  * Upload to unstable - cleared with debian-release

 -- Mark Purcell <msp@debian.org>  Fri, 09 Jul 2010 19:43:59 +1000

exiv2 (0.20-1) experimental; urgency=low

  * New upstream release
    - NEW package libexiv2-9 - soname bump
    - Makernote updates
    - Nikon performance improvement (Closes: #579835)

  [ Michal Čihař ]
  * Add -dbg package (Closes: #557088)

  [ Mark Purcell ]
  * Siwtch to source/format = 3.0 (quilt)
  * debian/control switch to '-' bullet marker (Closes: #564326) 
  * Dropped fuji from Maintainers - inactive
  * Simplify get-orig-source target - uscan

 -- Mark Purcell <msp@debian.org>  Sun, 30 May 2010 14:45:46 +1000

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
   * extract, insert and delete the thumbnail image embedded in the Exif metadata
   * fix the Exif ISO setting of picture taken with Nikon cameras
 
-Package: libexiv2-6
+Package: libexiv2-9
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -41,8 +41,8 @@
   * a smart IPTC implementation that does not affect data that programs like
     Photoshop store in the same image segment
   * EXIF MakerNote support:
-    o MakerNote tags can be accessed just like any other EXIF metadata
-    o a sophisticated write algorithm avoids corrupting the MakerNote:
+    - MakerNote tags can be accessed just like any other EXIF metadata
+    - a sophisticated write algorithm avoids corrupting the MakerNote:
   * extract and delete methods for EXIF thumbnails (both, JPEG and TIFF
     thumbnails)
   * set methods for EXIF thumbnails (JPEG only, TIFF thumbnails can be set from
@@ -54,7 +54,7 @@
 Package: libexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libexiv2-6 (= ${binary:Version}), pkg-config
+Depends: ${misc:Depends}, libexiv2-9 (= ${binary:Version}), pkg-config
 Suggests: libexiv2-doc
 Description: EXIF/IPTC metadata manipulation library - development files
  Exiv2 C++ header files.
@@ -65,3 +65,11 @@
 Architecture: all
 Description: EXIF/IPTC metadata manipulation library - HTML documentation
  Exiv2 HTML documentation.
+
+Package: libexiv2-dbg
+Depends: ${misc:Depends}, libexiv2-9 (= ${binary:Version})
+Section: debug
+Architecture: any
+Priority: extra
+Description: EXIF/IPTC metadata manipulation library - debug
+ Exiv2 debug symbols package

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath

override_dh_clean:
	dh_clean
	rm -rf doc/html

override_dh_strip:
	dh_strip -a --dbg-package=libexiv2-dbg

override_dh_install:
	[ ! -f Makefile ] || $(MAKE) doc
	dh_install --list-missing
	find $(CURDIR)/debian -type f -name exiv2 | xargs /usr/bin/chrpath -d

override_dh_installdocs:
	dh_installdocs -A -Xcmd.txt -XMakefile -Xtemplates -XChangeLog

override_dh_installchangelogs:
	dh_installchangelogs -A doc/ChangeLog

override_dh_compress:
	dh_compress -X.xls -X.js -X.idx -X.xml -X.php

get-orig-source:
	uscan --force-download
